%% Essential packages
% Diagrams and \foreach
\usepackage{tikz}
% Subfigures
\usepackage{caption}
\usepackage{subcaption}

% TODO should be empty for a template, the .cls file should be standalone
\usepackage[cmex10]{amsmath}
\usepackage{amsfonts}
\usepackage{setspace}
\usepackage{layout}
\usepackage[subfigure]{tocloft}  % Set TOC options.

% \usepackage[format=hang]{subfig}  % Do not include caption package in here.
\usepackage{algorithm}
\usepackage{algpseudocode} % algorithmicx
\usepackage{ctable}
\usepackage{multirow}

% https://www.overleaf.com/learn/latex/code_listing
\usepackage{listings} % Code snippets
% https://www.overleaf.com/learn/latex/code_listing
\usepackage{wrapfig}

% \usepackage{array}

% ``float'' algorithms
\usepackage{float}
\newfloat{algorithm}{tbp}{lop}

